> For the complete documentation index, see [llms.txt](https://docs.scraperapi.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scraperapi.com/ai-parser/endpoints/get-parser-details.md).

# Get Parser Details

Get full information about a parser, including its schema and example results.

```bash
GET https://aiparser.scraperapi.com/parsers/<PARSER_ID>/<VERSION>?api_key=API_KEY
```

**Path parameters**

<table><thead><tr><th width="196.2222900390625">Parameter</th><th width="118.629638671875">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>parser_id</code></td><td>Yes</td><td>The parser ID</td></tr><tr><td><code>version</code></td><td>No</td><td>Specific version. If omitted, the latest is used</td></tr></tbody></table>

#### **When to use this endpoint**

* **Check if generation finished** - poll until `status` is `FINISED`
* **Inspect the schema** - see what fields the parser is extracting
* **Debug parsing issues** - `example_results` shows what the parser extract from the example URLs. This helps you understand whether the issue is the parser or the target page
* **Check for errors** - if `status` is `FAILED`, the `error` field exlains why generation failed

**Example Responses**

<details>

<summary><strong>Successful parser generation</strong></summary>

```json
{
	"name": "Quotes_Parser",
	"created_at": "2026-05-11T09:44:50.170Z",
	"generated_at": "2026-05-11T09:47:33.597Z",
	"status": "FINISHED",
	"error": null,
	"example_result": [
		{
			"url": "http://quotes.toscrape.com/page/1/",
			"result": {
				"footer": [
					{
						"credit": "GoodReads.com"
					}
				],
				"header": [
					{
						"login": "Login",
						"title": "Quotes to Scrape"
					}
				],
				"quotes": [
					{
						"text": "“The world as we have created it is a process of our thinking. It cannot be changed without changing our thinking.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“It is our choices, Harry, that show what we truly are, far more than our abilities.”",
						"author": "J.K. Rowling"
					},
					{
						"text": "“There are only two ways to live your life. One is as though nothing is a miracle. The other is as though everything is a miracle.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“The person, be it gentleman or lady, who has not pleasure in a good novel, must be intolerably stupid.”",
						"author": "Jane Austen"
					},
					{
						"text": "“Imperfection is beauty, madness is genius and it's better to be absolutely ridiculous than absolutely boring.”",
						"author": "Marilyn Monroe"
					},
					{
						"text": "“Try not to become a man of success. Rather become a man of value.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“It is better to be hated for what you are than to be loved for what you are not.”",
						"author": "André Gide"
					},
					{
						"text": "“I have not failed. I've just found 10,000 ways that won't work.”",
						"author": "Thomas A. Edison"
					},
					{
						"text": "“A woman is like a tea bag; you never know how strong it is until it's in hot water.”",
						"author": "Eleanor Roosevelt"
					},
					{
						"text": "“A day without sunshine is like, you know, night.”",
						"author": "Steve Martin"
					}
				],
				"pagination": [
					{
						"next": "/page/2/",
						"previous": null
					}
				]
			}
		},
		{
			"url": "http://quotes.toscrape.com/page/2/",
			"result": {
				"footer": [
					{
						"credit": "GoodReads.com"
					}
				],
				"header": [
					{
						"login": "Login",
						"title": "Quotes to Scrape"
					}
				],
				"quotes": [
					{
						"text": "“This life is what you make it. No matter what, you're going to mess up sometimes, it's a universal truth. But the good part is you get to decide how you're going to mess it up. Girls will be your friends - they'll act like it anyway. But just remember, some come, some go. The ones that stay with you through everything - they're your true best friends. Don't let go of them. Also remember, sisters make the best friends in the world. As for lovers, well, they'll come and go too. And baby, I hate to say it, most of them - actually pretty much all of them are going to break your heart, but you can't give up because if you give up, you'll never find your soulmate. You'll never find that half who makes you whole and that goes for everything. Just because you fail once, doesn't mean you're gonna fail at everything. Keep trying, hold on, and always, always, always believe in yourself, because if you don't, then who will, sweetie? So keep your head high, keep your chin up, and most importantly, keep smiling, because life's a beautiful thing and there's so much to smile about.”",
						"author": "Marilyn Monroe"
					},
					{
						"text": "“It takes a great deal of bravery to stand up to our enemies, but just as much to stand up to our friends.”",
						"author": "J.K. Rowling"
					},
					{
						"text": "“If you can't explain it to a six year old, you don't understand it yourself.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“You may not be her first, her last, or her only. She loved before she may love again. But if she loves you now, what else matters? She's not perfect—you aren't either, and the two of you may never be perfect together but if she can make you laugh, cause you to think twice, and admit to being human and making mistakes, hold onto her and give her the most you can. She may not be thinking about you every second of the day, but she will give you a part of her that she knows you can break—her heart. So don't hurt her, don't change her, don't analyze and don't expect more than she can give. Smile when she makes you happy, let her know when she makes you mad, and miss her when she's not there.”",
						"author": "Bob Marley"
					},
					{
						"text": "“I like nonsense, it wakes up the brain cells. Fantasy is a necessary ingredient in living.”",
						"author": "Dr. Seuss"
					},
					{
						"text": "“I may not have gone where I intended to go, but I think I have ended up where I needed to be.”",
						"author": "Douglas Adams"
					},
					{
						"text": "“The opposite of love is not hate, it's indifference. The opposite of art is not ugliness, it's indifference. The opposite of faith is not heresy, it's indifference. And the opposite of life is not death, it's indifference.”",
						"author": "Elie Wiesel"
					},
					{
						"text": "“It is not a lack of love, but a lack of friendship that makes unhappy marriages.”",
						"author": "Friedrich Nietzsche"
					},
					{
						"text": "“Good friends, good books, and a sleepy conscience: this is the ideal life.”",
						"author": "Mark Twain"
					},
					{
						"text": "“Life is what happens to us while we are making other plans.”",
						"author": "Allen Saunders"
					}
				],
				"pagination": [
					{
						"next": "/page/3/",
						"previous": "/page/1/"
					}
				]
			}
		},
		{
			"url": "http://quotes.toscrape.com/page/3/",
			"result": {
				"footer": [
					{
						"credit": "GoodReads.com"
					}
				],
				"header": [
					{
						"login": "Login",
						"title": "Quotes to Scrape"
					}
				],
				"quotes": [
					{
						"text": "“I love you without knowing how, or when, or from where. I love you simply, without problems or pride: I love you in this way because I do not know any other way of loving but this, in which there is no I or you, so intimate that your hand upon my chest is my hand, so intimate that when I fall asleep your eyes close.”",
						"author": "Pablo Neruda"
					},
					{
						"text": "“For every minute you are angry you lose sixty seconds of happiness.”",
						"author": "Ralph Waldo Emerson"
					},
					{
						"text": "“If you judge people, you have no time to love them.”",
						"author": "Mother Teresa"
					},
					{
						"text": "“Anyone who thinks sitting in church can make you a Christian must also think that sitting in a garage can make you a car.”",
						"author": "Garrison Keillor"
					},
					{
						"text": "“Beauty is in the eye of the beholder and it may be necessary from time to time to give a stupid or misinformed beholder a black eye.”",
						"author": "Jim Henson"
					},
					{
						"text": "“Today you are You, that is truer than true. There is no one alive who is Youer than You.”",
						"author": "Dr. Seuss"
					},
					{
						"text": "“If you want your children to be intelligent, read them fairy tales. If you want them to be more intelligent, read them more fairy tales.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“It is impossible to live without failing at something, unless you live so cautiously that you might as well not have lived at all - in which case, you fail by default.”",
						"author": "J.K. Rowling"
					},
					{
						"text": "“Logic will get you from A to Z; imagination will get you everywhere.”",
						"author": "Albert Einstein"
					},
					{
						"text": "“One good thing about music, when it hits you, you feel no pain.”",
						"author": "Bob Marley"
					}
				],
				"pagination": [
					{
						"next": "/page/4/",
						"previous": "/page/2/"
					}
				]
			}
		}
	],
	"fields": [
		{
			"name": "header",
			"type": "array"
		},
		{
			"name": "header.title",
			"type": "text"
		},
		{
			"name": "header.login",
			"type": "text"
		},
		{
			"name": "quotes",
			"type": "array"
		},
		{
			"name": "quotes.text",
			"type": "text"
		},
		{
			"name": "quotes.author",
			"type": "text"
		},
		{
			"name": "pagination",
			"type": "array"
		},
		{
			"name": "pagination.previous",
			"type": "attribute"
		},
		{
			"name": "pagination.next",
			"type": "attribute"
		},
		{
			"name": "footer",
			"type": "array"
		},
		{
			"name": "footer.credit",
			"type": "text"
		}
	],
	"version": 0
}
```

</details>

<details>

<summary><strong>Failed parser generation</strong></summary>

```json
{
	"name": "My_Product_Parser",
	"created_at": "2026-05-08T14:17:31.657Z",
	"generated_at": "2026-05-08T14:17:34.961Z",
	"status": "FAILED",
	"error": "DownloadError: Failed to download https://example.com/product-01 after 3 retries",
	"example_result": null,
	"fields": [],
	"version": 0
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scraperapi.com/ai-parser/endpoints/get-parser-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
